Package org.gradle.api.tasks.testing

## Interface TestDescriptor

-     public interface TestDescriptor

  Describes a test. A test may be a single atomic test, such as the execution of a test method, or it may be a composite test, made up of zero or more tests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | Returns the test class name for this test, if any.
    `java.lang.String` | `getDisplayName()` | Returns the display name of the test.
    `java.lang.String` | `getName()` | Returns the name of the test.
    `TestDescriptor` | `getParent()` | Returns the parent of this test, if any.
    `boolean` | `isComposite()` | Is this test a composite test?

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the test. Not guaranteed to be unique.
      Returns:
        The test name

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns the display name of the test. It may be the same as or different from `getName()`
      Returns:
        the name for display.
      Since:
        6.1

    - #### getClassName

          @Nullable
          java.lang.String getClassName()

      Returns the test class name for this test, if any.
      Returns:
        The class name. May return null.

    - #### isComposite

          boolean isComposite()

      Is this test a composite test?
      Returns:
        true if this test is a composite test.

    - #### getParent

          @Nullable
          TestDescriptor getParent()

      Returns the parent of this test, if any.
      Returns:
        The parent of this test. Null if this test has no parent.